RDKit::UnimplementedFPException Class Reference

used to indicate errors for unimplemented fp types in convenience functions More...

`#include <FingerprintGenerator.h>`

Inheritance diagram for RDKit::UnimplementedFPException:

## Public Member Functions

| UnimplementedFPException (const char *msg)
| construct with an error message More...
| UnimplementedFPException (std::string msg)
| construct with an error message More...
const char * | what () const noexcept override
| get the error message More...
| ~UnimplementedFPException () noexcept override=default

## Detailed Description

used to indicate errors for unimplemented fp types in convenience functions

Definition at line 329 of file FingerprintGenerator.h.

## Constructor & Destructor Documentation

## UnimplementedFPException() [1/2]

RDKit::UnimplementedFPException::UnimplementedFPException | ( | const char * | msg | ) |

inline

construct with an error message

Definition at line 333 of file FingerprintGenerator.h.

## UnimplementedFPException() [2/2]

RDKit::UnimplementedFPException::UnimplementedFPException | ( | std::string | msg | ) |

inline

construct with an error message

Definition at line 335 of file FingerprintGenerator.h.

## ~UnimplementedFPException()

RDKit::UnimplementedFPException::~UnimplementedFPException | ( |  | ) |

override default noexcept

## Member Function Documentation

## what()

const char* RDKit::UnimplementedFPException::what | ( |  | ) | const

inline override noexcept

get the error message

Definition at line 337 of file FingerprintGenerator.h.

The documentation for this class was generated from the following file:

- FingerprintGenerator.h